{% extends "base.html" %}

{% load staticfiles %}

{% block title %}Book Movement{% endblock %}

{% block content %}

    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">
                Book Movement
            </h3>
        </div>

        <div class="box-body">
            <div class="form-group">
                <div class="col-sm-10 col-sm-offset-1">
                    <div class="table-responsive">
                        <table class="table table-hover" width="100%">
                            <thead class="bg-green-gradient">
                                <tr>
                                    <td width="5%" align="center">№</td>
                                    <td>Book</td>
                                    <td>Subscription</td>
                                    <td>Date Getting</td>
                                    <td>Date Return</td>
                                    <td>Return Status</td>
                                    <td>Request</td>
                                    <td width="7%" align="center">Edit</td>
                                    <td width="7%" align="center">Delete</td>
                                </tr>
                            </thead>
                            <tbody>
                                {% for book_movement in book_movements %}
                                    <tr>
                                        <td align="center">{{ forloop.counter }}</td>
                                        <td>{{ book_movement.book }}</td>
                                        <td>{{ book_movement.subscription }}</td>
                                        <td>{{ book_movement.date_getting }}</td>
                                        <td>{{ book_movement.date_return }}</td>
                                        <td>{{ book_movement.book_return_status}}</td>
                                        <td>{{ book_movement.book_request}}</td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-primary btn-sm edit_modal"
                                                    data-toggle="modal"
                                                    data-book-movement-id="{{ book_movement.id }}"
                                                    data-target="#book_movements_modal">
                                                <i class="fa fa-edit"></i>
                                            </button>
                                        </td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-danger btn-sm delete_book_movement"
                                                    data-book-movement-id="{{ book_movement.id }}">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="box-footer clearfix">
            <div class="col-sm-6 col-sm-offset-5">
                <button type="button" class="btn btn-danger pull-right"
                    data-toggle="modal"
                    data-book-movement-id="null"
                    data-target="#book_movements_modal">Add book movement
                </button>
            </div>
        </div>
    </div>

    <div id="book_movements_modal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Book Movement</h4>
                </div>

                <div class="modal-body">
                    <form class="form-horizontal" id="form_book_movement"> {% csrf_token %}
                        <div class="form-group" hidden>
                            <label for="book_movement_id" class="col-sm-3 control-label">ID</label>
                            <div class="col-sm-7" id="book_movement_id_div">
                                <input id="book_movement_id" class="form-control" type="text" value="" readonly>
                                <span class="help-block" id="book_movement_id_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="book" class="col-sm-3 control-label">Book</label>
                            <div class="col-sm-7" id="book_div">
                                <select id="book" class="form-control" type="text" name="book"></select>
                                <span class="help-block" id="book_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="subscription" class="col-sm-3 control-label">Subscription</label>
                            <div class="col-sm-7" id="subscription_div">
                                <select id="subscription" class="form-control" type="text" name="subscription"></select>
                                <span class="help-block" id="subscription_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="date_getting" class="col-sm-3 control-label">Date Getting</label>
                            <div class="col-sm-7" id="date_getting_div">
                                <input id="date_getting" class="form-control" type="date" value="2019-01-01"
                                       style="padding-top: 0px">
                                <span class="help-block" id="date_getting_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="date_return" class="col-sm-3 control-label">Date Return</label>
                            <div class="col-sm-7" id="date_return_div">
                                <input id="date_return" class="form-control" type="date" value="2019-01-01"
                                       style="padding-top: 0px">
                                <span class="help-block" id="date_return_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="book_return_status" class="col-sm-3 control-label">Book return status</label>
                            <div class="col-sm-7" id="book_return_status_div">
                                <select id="book_return_status" class="form-control" type="text"
                                        name="book_return_status"></select>
                                <span class="help-block" id="book_return_status_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="book_request" class="col-sm-3 control-label">Book request</label>
                            <div class="col-sm-7" id="book_request_div">
                                <select id="book_request" class="form-control" type="text" name="book_request"></select>
                                <span class="help-block" id="book_request_help"></span>
                            </div>
                        </div>
                    </form>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-danger pull-left" id="delete_book_movement">Delete</button>
                    <button type="button" class="btn btn-warning pull-left" id="save_book_movement">Save</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascript %}
    {{ block.super }}

    <script type="text/javascript" src="{% static 'js/book_movement.js' %}"></script>
{% endblock %}

